--[[
-- Walk mode
-- MISI MOD for GTA2
--
-- Author: DenLover
-- Date: 30 mar 2018
-- Mod version: v0.2
-- MISI since version: v0.2.1b
-- Description: Press key "CTRL" for walking.
]]--

local gamestate = 0
local ped = 0
local walk_speed = 256

while(true) do
	if (GetGameFrame() > 0) then
		if (gamestate == 0) then -- If start new game
			wait(100)
			for i = 1, 6, 1 do
				ped = GetPedStruct(i)
				x, y, z = GetPedPos(ped)
				if (GetPedRangeOfPoint(ped, x, y, z) <= 0.5) then
					 --WriteInLog(string.format("ped index %d id %d struct %X\n",i,GetPedID(ped),ped))
					 break
				end
			end
			gamestate = 1
		end
		if (gamestate == 1 and ped ~= 0) then		
			if (IsKeyPress(0xA2)) then
				SetPedSpeed(ped, walk_speed)
			end						
		end
	else
		gamestate = 0 -- If not frame to game restart or game not loaded
	end
end